const input = document.getElementById('input');
const button = document.getElementById('send');
const chat = document.getElementById('chat');

const name = prompt('Enter your name');

const socket = io();

socket.on('connect', () => {
  console.log('connected');

  socket.emit('name', name);
});

socket.on('text', (text) => {
  console.log(text);
  addText(text);
});

button.addEventListener('click', () => {
  socket.emit('text', input.value);
  addText(input.value);
});

function addText(text) {
  const p = document.createElement('p');
  p.innerText = text;
  chat.appendChild(p);
}
